// src/lib/types.ts
export interface Chapter {
    id: number;
    documentId: string;
    number: number;
    title: string;
    editor?: Editor;
    release_datetime: string;
    content: string;
    book?: Book;
}

export interface Editor {
    id: number;
    name: string;
    email: string;
    discord: string;
    chapters: Chapter[];
}

export interface Glossary {
    id: number;
    chinese_english: JSON;
    english_english: JSON;
}

export interface Media {
    id: number;
    name: string;
    alternativeText?: string; // Optional field
    caption?: string; // Optional field
    width?: number;
    height?: number;
    formats?: {
      thumbnail?: { url: string; width: number; height: number };
      small?: { url: string; width: number; height: number };
      medium?: { url: string; width: number; height: number };
      large?: { url: string; width: number; height: number };
    };
    hash: string;
    ext: string;
    mime: string;
    size: number;
    url: string; // The URL to access the media
    previewUrl?: string; // Optional preview URL
    provider: string;
    provider_metadata?: string; // Metadata specific to the provider
    createdAt: string;
    updatedAt: string;
  }
  
export interface Book {
    id: number;
    documentId: string;
    title: string;
    raw_title: string;
    author: string;
    raw_author: string;
    cover: Media[] | null;
    description: string;
    release_datetime: string;
    chapters: Chapter[];
    glossary: Glossary;
  }

export const Ad = {
    patreon: "https://patreon.com/nulltranslationgroup",
}
  